=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-11-12 21:38:35 +0000
+++ bzrlib/branch.py	2005-11-12 21:42:10 +0000
@@ -1151,6 +1151,15 @@
         # Both branches should now be at the same revision
         self.set_bound_location(other.base)
 
+    @needs_write_lock
+    def unbind(self):
+        """If bound, unbind"""
+        bound_path = self._rel_controlfilename('bound')
+        try:
+            self._transport.delete(bound_path)
+        except NoSuchFile:
+            pass
+
 
 class ScratchBranch(_Branch):
     """Special test class: a branch that cleans up after itself.

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-11-12 21:38:35 +0000
+++ bzrlib/builtins.py	2005-11-12 21:42:10 +0000
@@ -1774,7 +1774,7 @@
     takes_options = []
 
     def run(self):
-        b = Branch.open_containing('.')
+        b, relpath = Branch.open_containing('.')
         b.unbind()
 
 # these get imported and then picked up by the scan for cmd_*

=== modified file 'bzrlib/selftest/test_bound_branches.py'
--- bzrlib/selftest/test_bound_branches.py	2005-11-12 21:38:35 +0000
+++ bzrlib/selftest/test_bound_branches.py	2005-11-12 21:42:10 +0000
@@ -71,6 +71,12 @@
 
         self.failUnlessExists('.bzr/bound')
 
+        bzr('unbind')
+        self.failIf(os.path.lexists('.bzr/bound'))
+
+        # TODO: Should unbinding a non-bound branch fail?
+        #bzr('unbind')
+
     def test_bound_commit(self):
         bzr = self.run_bzr
         self.create_branches()

